// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/dictionary_md/product_condition.proto

package dictionary_md

import (
	_ "github.com/golang/protobuf/ptypes/timestamp"
	_ "github.com/golang/protobuf/ptypes/wrappers"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ProductCondition struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	GuarantyPeriod     string `protobuf:"bytes,1,opt,name=guaranty_period,json=guarantyPeriod,proto3" json:"guaranty_period,omitempty"`
	StorageTemperature string `protobuf:"bytes,2,opt,name=storage_temperature,json=storageTemperature,proto3" json:"storage_temperature,omitempty"`
	GeneralInfo        string `protobuf:"bytes,3,opt,name=general_info,json=generalInfo,proto3" json:"general_info,omitempty"`
	ProductAdvantage   string `protobuf:"bytes,4,opt,name=product_advantage,json=productAdvantage,proto3" json:"product_advantage,omitempty"`
	Features           string `protobuf:"bytes,5,opt,name=features,proto3" json:"features,omitempty"`
	MechanismAction    string `protobuf:"bytes,11,opt,name=mechanism_action,json=mechanismAction,proto3" json:"mechanism_action,omitempty"`
	Color              *Color `protobuf:"bytes,12,opt,name=color,proto3" json:"color,omitempty"`
}

func (x *ProductCondition) Reset() {
	*x = ProductCondition{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_product_condition_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProductCondition) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProductCondition) ProtoMessage() {}

func (x *ProductCondition) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_product_condition_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProductCondition.ProtoReflect.Descriptor instead.
func (*ProductCondition) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_product_condition_proto_rawDescGZIP(), []int{0}
}

func (x *ProductCondition) GetGuarantyPeriod() string {
	if x != nil {
		return x.GuarantyPeriod
	}
	return ""
}

func (x *ProductCondition) GetStorageTemperature() string {
	if x != nil {
		return x.StorageTemperature
	}
	return ""
}

func (x *ProductCondition) GetGeneralInfo() string {
	if x != nil {
		return x.GeneralInfo
	}
	return ""
}

func (x *ProductCondition) GetProductAdvantage() string {
	if x != nil {
		return x.ProductAdvantage
	}
	return ""
}

func (x *ProductCondition) GetFeatures() string {
	if x != nil {
		return x.Features
	}
	return ""
}

func (x *ProductCondition) GetMechanismAction() string {
	if x != nil {
		return x.MechanismAction
	}
	return ""
}

func (x *ProductCondition) GetColor() *Color {
	if x != nil {
		return x.Color
	}
	return nil
}

type ProductConditionChemicals struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ToxicityClassId           int64                       `protobuf:"varint,1,opt,name=toxicity_class_id,json=toxicityClassId,proto3" json:"toxicity_class_id,omitempty"`
	ToxicityClassName         string                      `protobuf:"bytes,2,opt,name=toxicity_class_name,json=toxicityClassName,proto3" json:"toxicity_class_name,omitempty"`
	WaitingPeriod             string                      `protobuf:"bytes,3,opt,name=waiting_period,json=waitingPeriod,proto3" json:"waiting_period,omitempty"`
	ProductActiveSubstances   []*ProductActiveSubstance   `protobuf:"bytes,4,rep,name=product_active_substances,json=productActiveSubstances,proto3" json:"product_active_substances,omitempty"`
	PreparativeForms          []*PreparativeForm          `protobuf:"bytes,5,rep,name=preparative_forms,json=preparativeForms,proto3" json:"preparative_forms,omitempty"`
	ChemicalClassGroups       []*ChemicalClassGroup       `protobuf:"bytes,6,rep,name=chemical_class_groups,json=chemicalClassGroups,proto3" json:"chemical_class_groups,omitempty"`
	DistributionTypeChemicals []*DistributionTypeChemical `protobuf:"bytes,7,rep,name=distribution_type_chemicals,json=distributionTypeChemicals,proto3" json:"distribution_type_chemicals,omitempty"`
}

func (x *ProductConditionChemicals) Reset() {
	*x = ProductConditionChemicals{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_product_condition_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProductConditionChemicals) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProductConditionChemicals) ProtoMessage() {}

func (x *ProductConditionChemicals) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_product_condition_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProductConditionChemicals.ProtoReflect.Descriptor instead.
func (*ProductConditionChemicals) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_product_condition_proto_rawDescGZIP(), []int{1}
}

func (x *ProductConditionChemicals) GetToxicityClassId() int64 {
	if x != nil {
		return x.ToxicityClassId
	}
	return 0
}

func (x *ProductConditionChemicals) GetToxicityClassName() string {
	if x != nil {
		return x.ToxicityClassName
	}
	return ""
}

func (x *ProductConditionChemicals) GetWaitingPeriod() string {
	if x != nil {
		return x.WaitingPeriod
	}
	return ""
}

func (x *ProductConditionChemicals) GetProductActiveSubstances() []*ProductActiveSubstance {
	if x != nil {
		return x.ProductActiveSubstances
	}
	return nil
}

func (x *ProductConditionChemicals) GetPreparativeForms() []*PreparativeForm {
	if x != nil {
		return x.PreparativeForms
	}
	return nil
}

func (x *ProductConditionChemicals) GetChemicalClassGroups() []*ChemicalClassGroup {
	if x != nil {
		return x.ChemicalClassGroups
	}
	return nil
}

func (x *ProductConditionChemicals) GetDistributionTypeChemicals() []*DistributionTypeChemical {
	if x != nil {
		return x.DistributionTypeChemicals
	}
	return nil
}

var File_v1_dictionary_md_product_condition_proto protoreflect.FileDescriptor

var file_v1_dictionary_md_product_condition_proto_rawDesc = []byte{
	0x0a, 0x28, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f,
	0x6d, 0x64, 0x2f, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x63, 0x6f, 0x6e, 0x64, 0x69,
	0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1f, 0x66, 0x63, 0x70, 0x2e,
	0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x1a, 0x1e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x77, 0x72, 0x61,
	0x70, 0x70, 0x65, 0x72, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d,
	0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1c, 0x76, 0x31,
	0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2f, 0x63,
	0x6f, 0x6c, 0x6f, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x2b, 0x76, 0x31, 0x2f, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2f, 0x63, 0x68, 0x65,
	0x6d, 0x69, 0x63, 0x61, 0x6c, 0x5f, 0x63, 0x6c, 0x61, 0x73, 0x73, 0x5f, 0x67, 0x72, 0x6f, 0x75,
	0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x31, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2f, 0x64, 0x69, 0x73, 0x74, 0x72, 0x69,
	0x62, 0x75, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x5f, 0x63, 0x68, 0x65, 0x6d,
	0x69, 0x63, 0x61, 0x6c, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x27, 0x76, 0x31, 0x2f, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2f, 0x70, 0x72, 0x65,
	0x70, 0x61, 0x72, 0x61, 0x74, 0x69, 0x76, 0x65, 0x5f, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x2f, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2f, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x61, 0x63,
	0x74, 0x69, 0x76, 0x65, 0x5f, 0x73, 0x75, 0x62, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x22, 0xc7, 0x02, 0x0a, 0x10, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x27, 0x0a, 0x0f, 0x67, 0x75, 0x61,
	0x72, 0x61, 0x6e, 0x74, 0x79, 0x5f, 0x70, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0e, 0x67, 0x75, 0x61, 0x72, 0x61, 0x6e, 0x74, 0x79, 0x50, 0x65, 0x72, 0x69,
	0x6f, 0x64, 0x12, 0x2f, 0x0a, 0x13, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x5f, 0x74, 0x65,
	0x6d, 0x70, 0x65, 0x72, 0x61, 0x74, 0x75, 0x72, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x12, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x65, 0x72, 0x61, 0x74,
	0x75, 0x72, 0x65, 0x12, 0x21, 0x0a, 0x0c, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x6c, 0x5f, 0x69,
	0x6e, 0x66, 0x6f, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x67, 0x65, 0x6e, 0x65, 0x72,
	0x61, 0x6c, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x2b, 0x0a, 0x11, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63,
	0x74, 0x5f, 0x61, 0x64, 0x76, 0x61, 0x6e, 0x74, 0x61, 0x67, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x10, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x41, 0x64, 0x76, 0x61, 0x6e, 0x74,
	0x61, 0x67, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x66, 0x65, 0x61, 0x74, 0x75, 0x72, 0x65, 0x73, 0x18,
	0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x66, 0x65, 0x61, 0x74, 0x75, 0x72, 0x65, 0x73, 0x12,
	0x29, 0x0a, 0x10, 0x6d, 0x65, 0x63, 0x68, 0x61, 0x6e, 0x69, 0x73, 0x6d, 0x5f, 0x61, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x6d, 0x65, 0x63, 0x68, 0x61,
	0x6e, 0x69, 0x73, 0x6d, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x3c, 0x0a, 0x05, 0x63, 0x6f,
	0x6c, 0x6f, 0x72, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2e, 0x43, 0x6f, 0x6c, 0x6f,
	0x72, 0x52, 0x05, 0x63, 0x6f, 0x6c, 0x6f, 0x72, 0x4a, 0x04, 0x08, 0x06, 0x10, 0x0b, 0x22, 0xd6,
	0x04, 0x0a, 0x19, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74,
	0x69, 0x6f, 0x6e, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x73, 0x12, 0x2a, 0x0a, 0x11,
	0x74, 0x6f, 0x78, 0x69, 0x63, 0x69, 0x74, 0x79, 0x5f, 0x63, 0x6c, 0x61, 0x73, 0x73, 0x5f, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0f, 0x74, 0x6f, 0x78, 0x69, 0x63, 0x69, 0x74,
	0x79, 0x43, 0x6c, 0x61, 0x73, 0x73, 0x49, 0x64, 0x12, 0x2e, 0x0a, 0x13, 0x74, 0x6f, 0x78, 0x69,
	0x63, 0x69, 0x74, 0x79, 0x5f, 0x63, 0x6c, 0x61, 0x73, 0x73, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x11, 0x74, 0x6f, 0x78, 0x69, 0x63, 0x69, 0x74, 0x79, 0x43,
	0x6c, 0x61, 0x73, 0x73, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x25, 0x0a, 0x0e, 0x77, 0x61, 0x69, 0x74,
	0x69, 0x6e, 0x67, 0x5f, 0x70, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0d, 0x77, 0x61, 0x69, 0x74, 0x69, 0x6e, 0x67, 0x50, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x12,
	0x73, 0x0a, 0x19, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x61, 0x63, 0x74, 0x69, 0x76,
	0x65, 0x5f, 0x73, 0x75, 0x62, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x73, 0x18, 0x04, 0x20, 0x03,
	0x28, 0x0b, 0x32, 0x37, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x5f, 0x6d, 0x64, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x41, 0x63, 0x74, 0x69,
	0x76, 0x65, 0x53, 0x75, 0x62, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x52, 0x17, 0x70, 0x72, 0x6f,
	0x64, 0x75, 0x63, 0x74, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x53, 0x75, 0x62, 0x73, 0x74, 0x61,
	0x6e, 0x63, 0x65, 0x73, 0x12, 0x5d, 0x0a, 0x11, 0x70, 0x72, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74,
	0x69, 0x76, 0x65, 0x5f, 0x66, 0x6f, 0x72, 0x6d, 0x73, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x30, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d,
	0x64, 0x2e, 0x50, 0x72, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74, 0x69, 0x76, 0x65, 0x46, 0x6f, 0x72,
	0x6d, 0x52, 0x10, 0x70, 0x72, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74, 0x69, 0x76, 0x65, 0x46, 0x6f,
	0x72, 0x6d, 0x73, 0x12, 0x67, 0x0a, 0x15, 0x63, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x5f,
	0x63, 0x6c, 0x61, 0x73, 0x73, 0x5f, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x18, 0x06, 0x20, 0x03,
	0x28, 0x0b, 0x32, 0x33, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x5f, 0x6d, 0x64, 0x2e, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x43, 0x6c, 0x61,
	0x73, 0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x52, 0x13, 0x63, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61,
	0x6c, 0x43, 0x6c, 0x61, 0x73, 0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x12, 0x79, 0x0a, 0x1b,
	0x64, 0x69, 0x73, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x74, 0x79, 0x70,
	0x65, 0x5f, 0x63, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x73, 0x18, 0x07, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x39, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x5f, 0x6d, 0x64, 0x2e, 0x44, 0x69, 0x73, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x69, 0x6f, 0x6e,
	0x54, 0x79, 0x70, 0x65, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x52, 0x19, 0x64, 0x69,
	0x73, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x69, 0x6f, 0x6e, 0x54, 0x79, 0x70, 0x65, 0x43, 0x68,
	0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x73, 0x42, 0x6b, 0x0a, 0x28, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x5f, 0x6d, 0x64, 0x50, 0x01, 0x5a, 0x3a, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f,
	0x6d, 0x2f, 0x66, 0x63, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2f, 0x61, 0x70, 0x69,
	0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x2f, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d,
	0x64, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_dictionary_md_product_condition_proto_rawDescOnce sync.Once
	file_v1_dictionary_md_product_condition_proto_rawDescData = file_v1_dictionary_md_product_condition_proto_rawDesc
)

func file_v1_dictionary_md_product_condition_proto_rawDescGZIP() []byte {
	file_v1_dictionary_md_product_condition_proto_rawDescOnce.Do(func() {
		file_v1_dictionary_md_product_condition_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_dictionary_md_product_condition_proto_rawDescData)
	})
	return file_v1_dictionary_md_product_condition_proto_rawDescData
}

var file_v1_dictionary_md_product_condition_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_v1_dictionary_md_product_condition_proto_goTypes = []interface{}{
	(*ProductCondition)(nil),          // 0: fcp.dictionary.v1.dictionary_md.ProductCondition
	(*ProductConditionChemicals)(nil), // 1: fcp.dictionary.v1.dictionary_md.ProductConditionChemicals
	(*Color)(nil),                     // 2: fcp.dictionary.v1.dictionary_md.Color
	(*ProductActiveSubstance)(nil),    // 3: fcp.dictionary.v1.dictionary_md.ProductActiveSubstance
	(*PreparativeForm)(nil),           // 4: fcp.dictionary.v1.dictionary_md.PreparativeForm
	(*ChemicalClassGroup)(nil),        // 5: fcp.dictionary.v1.dictionary_md.ChemicalClassGroup
	(*DistributionTypeChemical)(nil),  // 6: fcp.dictionary.v1.dictionary_md.DistributionTypeChemical
}
var file_v1_dictionary_md_product_condition_proto_depIdxs = []int32{
	2, // 0: fcp.dictionary.v1.dictionary_md.ProductCondition.color:type_name -> fcp.dictionary.v1.dictionary_md.Color
	3, // 1: fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.product_active_substances:type_name -> fcp.dictionary.v1.dictionary_md.ProductActiveSubstance
	4, // 2: fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.preparative_forms:type_name -> fcp.dictionary.v1.dictionary_md.PreparativeForm
	5, // 3: fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.chemical_class_groups:type_name -> fcp.dictionary.v1.dictionary_md.ChemicalClassGroup
	6, // 4: fcp.dictionary.v1.dictionary_md.ProductConditionChemicals.distribution_type_chemicals:type_name -> fcp.dictionary.v1.dictionary_md.DistributionTypeChemical
	5, // [5:5] is the sub-list for method output_type
	5, // [5:5] is the sub-list for method input_type
	5, // [5:5] is the sub-list for extension type_name
	5, // [5:5] is the sub-list for extension extendee
	0, // [0:5] is the sub-list for field type_name
}

func init() { file_v1_dictionary_md_product_condition_proto_init() }
func file_v1_dictionary_md_product_condition_proto_init() {
	if File_v1_dictionary_md_product_condition_proto != nil {
		return
	}
	file_v1_dictionary_md_color_proto_init()
	file_v1_dictionary_md_chemical_class_group_proto_init()
	file_v1_dictionary_md_distribution_type_chemical_proto_init()
	file_v1_dictionary_md_preparative_form_proto_init()
	file_v1_dictionary_md_product_active_substance_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_v1_dictionary_md_product_condition_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProductCondition); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_product_condition_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProductConditionChemicals); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_dictionary_md_product_condition_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_dictionary_md_product_condition_proto_goTypes,
		DependencyIndexes: file_v1_dictionary_md_product_condition_proto_depIdxs,
		MessageInfos:      file_v1_dictionary_md_product_condition_proto_msgTypes,
	}.Build()
	File_v1_dictionary_md_product_condition_proto = out.File
	file_v1_dictionary_md_product_condition_proto_rawDesc = nil
	file_v1_dictionary_md_product_condition_proto_goTypes = nil
	file_v1_dictionary_md_product_condition_proto_depIdxs = nil
}
